Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Interface PropertyChangeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BasicButtonListener, BasicColorChooserUI.PropertyHandler, BasicComboBoxUI.PropertyChangeHandler, BasicComboPopup.PropertyChangeHandler, BasicDirectoryModel, BasicInternalFrameTitlePane.PropertyChangeHandler, BasicInternalFrameUI.InternalFramePropertyChangeListener, BasicLabelUI, BasicListUI.PropertyChangeHandler, BasicOptionPaneUI.PropertyChangeHandler, BasicRootPaneUI, BasicScrollBarUI.PropertyChangeHandler, BasicScrollPaneUI.PropertyChangeHandler, BasicSliderUI.PropertyChangeHandler, BasicSplitPaneDivider, BasicSplitPaneUI.PropertyHandler, BasicTabbedPaneUI.PropertyChangeHandler, BasicToolBarUI.PropertyListener, BasicTreeUI.PropertyChangeHandler, BasicTreeUI.SelectionModelPropertyChangeHandler, BeanContextServicesSupport, BeanContextSupport, DefaultTableColumnModel, JList.AccessibleJList, JPopupMenu.AccessibleJPopupMenu, JScrollPane.AccessibleJScrollPane, JSpinner.DateEditor, JSpinner.DefaultEditor, JSpinner.ListEditor, JSpinner.NumberEditor, JTable.AccessibleJTable, MetalComboBoxUI.MetalPropertyChangeListener, MetalFileChooserUI.FilterComboBoxModel, MetalLabelUI, MetalRootPaneUI, MetalSliderUI.MetalPropertyListener, MetalToolBarUI.MetalRolloverListener, ProgressMonitor.AccessibleProgressMonitor, PropertyChangeListenerProxy

    public interface PropertyChangeListener

extends EventListener

A "PropertyChange" event gets fired whenever a bean changes a "bound" property. You can register a PropertyChangeListener with a source bean so as to be notified of any bound property updates.

Method Summary
`void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Method Detail

### propertyChange

    void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.